<div class="u-wrapper u-wrapper--large">
    
    <div class="pageHeader">
        <h1>Créer un Ticket</h1>
        <app-button mode="ghost" [routerLink]="'/home'">
            <lucide-icon></lucide-icon>
            Retour
        </app-button>
    </div>

    <form #myForm="ngForm" (ngSubmit)="save()">
        <!-- [control]="myForm.controls['name']" permet d'afficher les erreurs automatiquement ;)  -->
        <app-field label="Titre" [control]="myForm.controls['title']">
            <input type="text" name="title" [(ngModel)]="formData.title" required />
        </app-field>
        
        <app-field label="Description" [control]="myForm.controls['contenu']">
            <input type="text" name="contenu" [(ngModel)]="formData.contenu" required />
        </app-field>
        
        <button type="submit" class="btn btn-primary" [disabled]="!myForm.valid" (onClick)="save()">
            Soumettre
        </button>
    </form>
</div>
  